<?php           
defined('C5_EXECUTE') or die(_("Access Denied."));

class PdPageTableBlockController extends BlockController {

	protected $btInterfaceWidth = "600";
	protected $btInterfaceHeight = "230";
	protected $btTable = 'btPdPageTable';

	public function __construct($obj = null) {		
		parent::__construct($obj);
		$this->db = Loader::db();
	}
	
	public function on_start(){
		Loader::Helper("concrete/urls");
		$this->url=ConcreteUrlsHelper::getBlockTypeAssetsURL(BlockType::getByHandle($this->btHandle));
	}
	
	public function getBlockTypeDescription() {
		return t("Adds a page table block to your pages.");
	}
	
	public function getBlockTypeName(){
		return t("Page Table");
	}
}
?>
