<?php       defined('C5_EXECUTE') or die(_("Access Denied."));

class PdPagetablePackage extends Package {

	protected $pkgHandle = 'pd_pagetable';
	protected $appVersionRequired = '5.3.3';
	protected $pkgVersion = '1.1';
	
	public function getPackageDescription() {
		return t('Add a page table to your Concrete 5 website');
	}
	
	public function getPackageName() {
		return t('Page Table');
	}
	
	public function install() {
		$pkg = parent::install();
		
		Loader::model('single_page');

		//Install Blocks
		BlockType::installBlockTypeFromPackage('pd_page_table', $pkg);
	}
}

?>
